Article ID: 6361, created on May 21, 2009, last review on Apr 27, 2014

  • Applies to:
  • H-Sphere


In case of PHP Acceleration and Encoding (iOnCube, Zend) customization Parallels H-Sphere Apache 2.* based web server failed to start and even crashes.


Before update to Parallels H-Sphere version 3.3 and grater (from any version less then 3.3) please check, and if exists remove, your PHP Acceleration and Encoding (iOnCube, Zend) customization. If the customization will not been removed from the PHP configuration files before the upgrade, this may lead to configuration errors or even Apache/PHP crashes.


To detect files where customization take place please run (Zend/IonCube customization detect example):

# grep -rli 'zend_extension'

/hsphere/shared/apache*/conf/php*/php.*|grep -v '.bak'

Comment or remove all Zend/IonCube related configuration lines from these files.


The update can be started only after corresponded customization is removed.

f213b9fa8759d57bee5d547445806fe7 6311ae17c1ee52b36e68aaf4ad066387

Email subscription for changes to this article
Save as PDF